/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TAILCALL_FAIL_SKEL_H__
#define __TAILCALL_FAIL_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct tailcall_fail {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *jmp_table;
		struct bpf_map *bss_A;
	} maps;
	struct {
		struct bpf_program *reject_tail_call_spin_lock;
		struct bpf_program *reject_tail_call_rcu_lock;
		struct bpf_program *reject_tail_call_preempt_lock;
		struct bpf_program *reject_tail_call_ref;
	} progs;
	struct {
		struct bpf_link *reject_tail_call_spin_lock;
		struct bpf_link *reject_tail_call_rcu_lock;
		struct bpf_link *reject_tail_call_preempt_lock;
		struct bpf_link *reject_tail_call_ref;
	} links;

#ifdef __cplusplus
	static inline struct tailcall_fail *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct tailcall_fail *open_and_load();
	static inline int load(struct tailcall_fail *skel);
	static inline int attach(struct tailcall_fail *skel);
	static inline void detach(struct tailcall_fail *skel);
	static inline void destroy(struct tailcall_fail *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
tailcall_fail__destroy(struct tailcall_fail *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
tailcall_fail__create_skeleton(struct tailcall_fail *obj);

static inline struct tailcall_fail *
tailcall_fail__open_opts(const struct bpf_object_open_opts *opts)
{
	struct tailcall_fail *obj;
	int err;

	obj = (struct tailcall_fail *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = tailcall_fail__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	tailcall_fail__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct tailcall_fail *
tailcall_fail__open(void)
{
	return tailcall_fail__open_opts(NULL);
}

static inline int
tailcall_fail__load(struct tailcall_fail *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct tailcall_fail *
tailcall_fail__open_and_load(void)
{
	struct tailcall_fail *obj;
	int err;

	obj = tailcall_fail__open();
	if (!obj)
		return NULL;
	err = tailcall_fail__load(obj);
	if (err) {
		tailcall_fail__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
tailcall_fail__attach(struct tailcall_fail *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
tailcall_fail__detach(struct tailcall_fail *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *tailcall_fail__elf_bytes(size_t *sz);

static inline int
tailcall_fail__create_skeleton(struct tailcall_fail *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "tailcall_fail";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "jmp_table";
	map->map = &obj->maps.jmp_table;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = ".bss.A";
	map->map = &obj->maps.bss_A;

	/* programs */
	s->prog_cnt = 4;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "reject_tail_call_spin_lock";
	s->progs[0].prog = &obj->progs.reject_tail_call_spin_lock;
	s->progs[0].link = &obj->links.reject_tail_call_spin_lock;

	s->progs[1].name = "reject_tail_call_rcu_lock";
	s->progs[1].prog = &obj->progs.reject_tail_call_rcu_lock;
	s->progs[1].link = &obj->links.reject_tail_call_rcu_lock;

	s->progs[2].name = "reject_tail_call_preempt_lock";
	s->progs[2].prog = &obj->progs.reject_tail_call_preempt_lock;
	s->progs[2].link = &obj->links.reject_tail_call_preempt_lock;

	s->progs[3].name = "reject_tail_call_ref";
	s->progs[3].prog = &obj->progs.reject_tail_call_ref;
	s->progs[3].link = &obj->links.reject_tail_call_ref;

	s->data = tailcall_fail__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *tailcall_fail__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x13\xc8\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0a\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x3f\x74\x63\
\0\x2e\x62\x73\x73\x2e\x41\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\
\0\x74\x61\x69\x6c\x63\x61\x6c\x6c\x5f\x66\x61\x69\x6c\x2e\x63\0\x72\x65\x6a\
\x65\x63\x74\x5f\x74\x61\x69\x6c\x5f\x63\x61\x6c\x6c\x5f\x73\x70\x69\x6e\x5f\
\x6c\x6f\x63\x6b\0\x6c\x6f\x63\x6b\0\x6a\x6d\x70\x5f\x74\x61\x62\x6c\x65\0\x72\
\x65\x6a\x65\x63\x74\x5f\x74\x61\x69\x6c\x5f\x63\x61\x6c\x6c\x5f\x72\x63\x75\
\x5f\x6c\x6f\x63\x6b\0\x62\x70\x66\x5f\x72\x63\x75\x5f\x72\x65\x61\x64\x5f\x6c\
\x6f\x63\x6b\0\x62\x70\x66\x5f\x72\x63\x75\x5f\x72\x65\x61\x64\x5f\x75\x6e\x6c\
\x6f\x63\x6b\0\x72\x65\x6a\x65\x63\x74\x5f\x74\x61\x69\x6c\x5f\x63\x61\x6c\x6c\
\x5f\x70\x72\x65\x65\x6d\x70\x74\x5f\x6c\x6f\x63\x6b\0\x62\x70\x66\x5f\x70\x72\
\x65\x65\x6d\x70\x74\x5f\x64\x69\x73\x61\x62\x6c\x65\0\x62\x70\x66\x5f\x70\x72\
\x65\x65\x6d\x70\x74\x5f\x65\x6e\x61\x62\x6c\x65\0\x72\x65\x6a\x65\x63\x74\x5f\
\x74\x61\x69\x6c\x5f\x63\x61\x6c\x6c\x5f\x72\x65\x66\0\x62\x70\x66\x5f\x6f\x62\
\x6a\x5f\x6e\x65\x77\x5f\x69\x6d\x70\x6c\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\
\x2e\x72\x65\x6c\x3f\x74\x63\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\
\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2a\x04\0\xff\
\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x3a\x12\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\0\0\0\x55\
\x11\x02\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x5a\x11\0\0\x05\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\x64\x12\0\0\x03\0\0\0\0\0\0\0\x60\0\0\0\0\0\0\
\0\x58\0\0\0\x7e\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x90\x20\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa4\x12\0\0\x03\0\0\0\0\0\0\0\xb8\0\0\0\
\0\0\0\0\x58\0\0\0\xc2\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd6\x20\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe9\x12\0\0\x03\0\0\0\0\0\0\x01\
\x10\0\0\0\0\0\0\0\x68\0\0\0\xfe\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\x0f\x11\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\xbf\x61\0\0\0\0\0\0\x18\
\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x5d\x18\x70\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\xbf\x27\0\0\0\0\0\0\xb7\x30\0\0\0\0\0\0\x85\0\0\
\0\0\0\0\x0c\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\x85\x01\0\
\0\xff\xff\xff\xff\x18\x70\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\xbf\
\x27\0\0\0\0\0\0\xb7\x30\0\0\0\0\0\0\x85\0\0\0\0\0\0\x0c\x85\x01\0\0\xff\xff\
\xff\xff\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\x85\x01\0\0\
\xff\xff\xff\xff\x18\x70\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\xbf\
\x27\0\0\0\0\0\0\xb7\x30\0\0\0\0\0\0\x85\0\0\0\0\0\0\x0c\x85\x01\0\0\xff\xff\
\xff\xff\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\x18\x10\0\0\0\
\0\0\x2f\0\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\x18\
\x70\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\xbf\x27\0\0\0\0\0\0\xb7\
\x30\0\0\0\0\0\0\x85\0\0\0\0\0\0\x0c\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\x04\0\0\0\x01\0\0\0\0\0\0\0\x20\0\0\0\x05\0\0\0\x01\
\0\0\0\0\0\0\0\x68\0\0\0\x07\0\0\0\x0a\0\0\0\0\0\0\0\x70\0\0\0\x05\0\0\0\x01\0\
\0\0\0\0\0\0\xa0\0\0\0\x08\0\0\0\x0a\0\0\0\0\0\0\0\xc0\0\0\0\x0a\0\0\0\x0a\0\0\
\0\0\0\0\0\xc8\0\0\0\x05\0\0\0\x01\0\0\0\0\0\0\0\xf8\0\0\0\x0b\0\0\0\x0a\0\0\0\
\0\0\0\x01\x30\0\0\0\x0d\0\0\0\x0a\0\0\0\0\0\0\x01\x38\0\0\0\x05\0\0\0\x01\xeb\
\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\x05\x84\0\0\x05\x84\0\0\x07\x7a\0\0\0\0\x02\0\
\0\0\0\0\0\x03\0\0\0\x01\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\0\x03\0\0\0\0\0\
\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x03\0\0\0\x05\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\
\0\0\x02\0\0\0\0\0\0\x06\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\
\x04\0\0\0\0\x04\0\0\x04\0\0\0\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\
\x01\0\0\0\x40\0\0\0\x2a\0\0\0\x05\0\0\0\x80\0\0\0\x33\0\0\0\x05\0\0\0\xc0\0\0\
\0\x3e\x0e\0\0\0\0\0\0\x07\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\x0a\0\0\0\x48\x04\
\0\0\x22\0\0\0\xc0\0\0\0\x52\0\0\0\x0b\0\0\0\0\0\0\0\x56\0\0\0\x0b\0\0\0\x20\0\
\0\0\x5f\0\0\0\x0b\0\0\0\x40\0\0\0\x64\0\0\0\x0b\0\0\0\x60\0\0\0\x72\0\0\0\x0b\
\0\0\0\x80\0\0\0\x7b\0\0\0\x0b\0\0\0\xa0\0\0\0\x88\0\0\0\x0b\0\0\0\xc0\0\0\0\
\x91\0\0\0\x0b\0\0\0\xe0\0\0\0\x9c\0\0\0\x0b\0\0\x01\0\0\0\0\xa5\0\0\0\x0b\0\0\
\x01\x20\0\0\0\xb5\0\0\0\x0b\0\0\x01\x40\0\0\0\xbd\0\0\0\x0b\0\0\x01\x60\0\0\0\
\xc6\0\0\0\x0d\0\0\x01\x80\0\0\0\xc9\0\0\0\x0b\0\0\x02\x20\0\0\0\xce\0\0\0\x0b\
\0\0\x02\x40\0\0\0\xd9\0\0\0\x0b\0\0\x02\x60\0\0\0\xde\0\0\0\x0b\0\0\x02\x80\0\
\0\0\xe7\0\0\0\x0b\0\0\x02\xa0\0\0\0\xef\0\0\0\x0b\0\0\x02\xc0\0\0\0\xf6\0\0\0\
\x0b\0\0\x02\xe0\0\0\x01\x01\0\0\0\x0b\0\0\x03\0\0\0\x01\x0b\0\0\0\x0e\0\0\x03\
\x20\0\0\x01\x16\0\0\0\x0e\0\0\x03\xa0\0\0\x01\x20\0\0\0\x0b\0\0\x04\x20\0\0\
\x01\x2c\0\0\0\x0b\0\0\x04\x40\0\0\x01\x37\0\0\0\x0b\0\0\x04\x60\0\0\0\0\0\0\0\
\x0f\0\0\x04\x80\0\0\x01\x41\0\0\0\x11\0\0\x04\xc0\0\0\x01\x48\0\0\0\x0b\0\0\
\x05\0\0\0\x01\x51\0\0\0\x0b\0\0\x05\x20\0\0\0\0\0\0\0\x13\0\0\x05\x40\0\0\x01\
\x5a\0\0\0\x0b\0\0\x05\x80\0\0\x01\x63\0\0\0\x15\0\0\x05\xa0\0\0\x01\x6f\0\0\0\
\x11\0\0\x05\xc0\0\0\x01\x78\x08\0\0\0\0\0\0\x0c\0\0\x01\x7e\x01\0\0\0\0\0\0\
\x04\0\0\0\x20\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x0b\0\0\0\x04\0\0\0\x05\0\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\x0b\0\0\0\x04\0\0\0\x04\0\0\0\0\x05\0\0\x01\0\0\0\x08\
\0\0\x01\x8b\0\0\0\x10\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\x32\0\0\x01\x95\x08\0\0\
\0\0\0\0\x12\0\0\x01\x9b\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\0\0\x05\0\0\x01\0\0\
\0\x08\0\0\x01\xae\0\0\0\x14\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\x33\0\0\x01\xb1\
\x08\0\0\0\0\0\0\x16\0\0\x01\xb6\x01\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\0\x0d\0\0\
\x01\0\0\0\x02\0\0\x01\xc4\0\0\0\x09\0\0\x01\xc8\x0c\0\0\x01\0\0\0\x17\0\0\x01\
\xe3\x11\0\0\0\0\0\0\x18\xff\xff\xff\xff\0\0\x01\xff\x11\0\0\0\0\0\0\x18\xff\
\xff\xff\xff\0\0\x02\x4d\x0c\0\0\x01\0\0\0\x17\0\0\x01\xe3\x11\0\0\0\0\0\0\x1b\
\xff\xff\xff\xff\0\0\x02\x67\x11\0\0\0\0\0\0\x1b\xff\xff\xff\xff\0\0\0\0\x0d\0\
\0\0\0\0\0\0\0\0\x02\xbd\x0c\0\0\x02\0\0\0\x1e\0\0\x02\xcf\x0c\0\0\x02\0\0\0\
\x1e\0\0\x02\xe3\x0c\0\0\x01\0\0\0\x17\0\0\x01\xe3\x11\0\0\0\0\0\0\x21\xff\xff\
\xff\xff\0\0\x03\x01\x11\0\0\0\0\0\0\x21\xff\xff\xff\xff\0\0\x03\x59\x0c\0\0\
\x02\0\0\0\x1e\0\0\x03\x6d\x0c\0\0\x02\0\0\0\x1e\0\0\x03\x80\x0c\0\0\x01\0\0\0\
\x17\0\0\x01\xe3\x11\0\0\0\0\0\0\x26\xff\xff\xff\xff\0\0\x03\x95\x11\0\0\0\0\0\
\0\x26\xff\xff\xff\xff\0\0\x03\xd6\x04\0\0\x01\0\0\0\x04\0\0\x03\xda\0\0\0\x02\
\0\0\0\0\0\0\0\0\x0d\0\0\x02\0\0\0\x2b\0\0\0\0\0\0\0\x11\0\0\0\0\0\0\0\x2b\0\0\
\0\0\x02\0\0\0\0\0\0\0\0\0\x03\xdc\x0c\0\0\x02\0\0\0\x2a\0\0\x03\xed\x04\0\0\
\x01\0\0\0\x04\0\0\x03\xfb\0\0\0\x0b\0\0\0\0\0\0\x03\xff\x0e\0\0\0\0\0\0\x2d\0\
\0\0\x01\0\0\x04\x04\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\
\0\0\0\x2f\0\0\0\x04\0\0\0\x04\0\0\x04\x09\x0e\0\0\0\0\0\0\x30\0\0\0\x01\0\0\
\x04\x12\x07\0\0\0\0\0\0\0\0\0\x04\x20\x07\0\0\0\0\0\0\0\0\0\x07\x5a\x0f\0\0\
\x01\0\0\0\x04\0\0\0\x2e\0\0\0\0\0\0\0\x04\0\0\x07\x61\x0f\0\0\x01\0\0\0\x20\0\
\0\0\x08\0\0\0\0\0\0\0\x20\0\0\x07\x67\x0f\0\0\x01\0\0\0\x04\0\0\0\x31\0\0\0\0\
\0\0\0\x04\0\0\x07\x6f\x0f\0\0\x05\0\0\0\0\0\0\0\x1f\0\0\0\0\0\0\0\0\0\0\0\x20\
\0\0\0\0\0\0\0\0\0\0\0\x24\0\0\0\0\0\0\0\0\0\0\0\x25\0\0\0\0\0\0\0\0\0\0\0\x2c\
\0\0\0\0\0\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\
\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\x79\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\
\x74\x72\x69\x65\x73\0\x6b\x65\x79\x5f\x73\x69\x7a\x65\0\x76\x61\x6c\x75\x65\
\x5f\x73\x69\x7a\x65\0\x6a\x6d\x70\x5f\x74\x61\x62\x6c\x65\0\x5f\x5f\x73\x6b\
\x5f\x62\x75\x66\x66\0\x6c\x65\x6e\0\x70\x6b\x74\x5f\x74\x79\x70\x65\0\x6d\x61\
\x72\x6b\0\x71\x75\x65\x75\x65\x5f\x6d\x61\x70\x70\x69\x6e\x67\0\x70\x72\x6f\
\x74\x6f\x63\x6f\x6c\0\x76\x6c\x61\x6e\x5f\x70\x72\x65\x73\x65\x6e\x74\0\x76\
\x6c\x61\x6e\x5f\x74\x63\x69\0\x76\x6c\x61\x6e\x5f\x70\x72\x6f\x74\x6f\0\x70\
\x72\x69\x6f\x72\x69\x74\x79\0\x69\x6e\x67\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\
\x64\x65\x78\0\x69\x66\x69\x6e\x64\x65\x78\0\x74\x63\x5f\x69\x6e\x64\x65\x78\0\
\x63\x62\0\x68\x61\x73\x68\0\x74\x63\x5f\x63\x6c\x61\x73\x73\x69\x64\0\x64\x61\
\x74\x61\0\x64\x61\x74\x61\x5f\x65\x6e\x64\0\x6e\x61\x70\x69\x5f\x69\x64\0\x66\
\x61\x6d\x69\x6c\x79\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x34\0\x6c\x6f\x63\
\x61\x6c\x5f\x69\x70\x34\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x36\0\x6c\x6f\
\x63\x61\x6c\x5f\x69\x70\x36\0\x72\x65\x6d\x6f\x74\x65\x5f\x70\x6f\x72\x74\0\
\x6c\x6f\x63\x61\x6c\x5f\x70\x6f\x72\x74\0\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\
\0\x74\x73\x74\x61\x6d\x70\0\x77\x69\x72\x65\x5f\x6c\x65\x6e\0\x67\x73\x6f\x5f\
\x73\x65\x67\x73\0\x67\x73\x6f\x5f\x73\x69\x7a\x65\0\x74\x73\x74\x61\x6d\x70\
\x5f\x74\x79\x70\x65\0\x68\x77\x74\x73\x74\x61\x6d\x70\0\x5f\x5f\x75\x33\x32\0\
\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x66\x6c\x6f\x77\x5f\x6b\x65\
\x79\x73\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\
\x6e\x67\x20\x6c\x6f\x6e\x67\0\x73\x6b\0\x5f\x5f\x75\x38\0\x75\x6e\x73\x69\x67\
\x6e\x65\x64\x20\x63\x68\x61\x72\0\x63\x74\x78\0\x72\x65\x6a\x65\x63\x74\x5f\
\x74\x61\x69\x6c\x5f\x63\x61\x6c\x6c\x5f\x73\x70\x69\x6e\x5f\x6c\x6f\x63\x6b\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\
\x5f\x66\x61\x69\x6c\x75\x72\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x30\x3d\x66\x75\x6e\x63\
\x74\x69\x6f\x6e\x20\x63\x61\x6c\x6c\x73\x20\x61\x72\x65\x20\x6e\x6f\x74\x20\
\x61\x6c\x6c\x6f\x77\x65\x64\x20\x77\x68\x69\x6c\x65\x20\x68\x6f\x6c\x64\x69\
\x6e\x67\x20\x61\x20\x6c\x6f\x63\x6b\0\x72\x65\x6a\x65\x63\x74\x5f\x74\x61\x69\
\x6c\x5f\x63\x61\x6c\x6c\x5f\x72\x63\x75\x5f\x6c\x6f\x63\x6b\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\
\x3d\x31\x3d\x74\x61\x69\x6c\x5f\x63\x61\x6c\x6c\x20\x63\x61\x6e\x6e\x6f\x74\
\x20\x62\x65\x20\x75\x73\x65\x64\x20\x69\x6e\x73\x69\x64\x65\x20\x62\x70\x66\
\x5f\x72\x63\x75\x5f\x72\x65\x61\x64\x5f\x6c\x6f\x63\x6b\x2d\x65\x64\x20\x72\
\x65\x67\x69\x6f\x6e\0\x62\x70\x66\x5f\x72\x63\x75\x5f\x72\x65\x61\x64\x5f\x6c\
\x6f\x63\x6b\0\x62\x70\x66\x5f\x72\x63\x75\x5f\x72\x65\x61\x64\x5f\x75\x6e\x6c\
\x6f\x63\x6b\0\x72\x65\x6a\x65\x63\x74\x5f\x74\x61\x69\x6c\x5f\x63\x61\x6c\x6c\
\x5f\x70\x72\x65\x65\x6d\x70\x74\x5f\x6c\x6f\x63\x6b\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x32\
\x3d\x74\x61\x69\x6c\x5f\x63\x61\x6c\x6c\x20\x63\x61\x6e\x6e\x6f\x74\x20\x62\
\x65\x20\x75\x73\x65\x64\x20\x69\x6e\x73\x69\x64\x65\x20\x62\x70\x66\x5f\x70\
\x72\x65\x65\x6d\x70\x74\x5f\x64\x69\x73\x61\x62\x6c\x65\x2d\x65\x64\x20\x72\
\x65\x67\x69\x6f\x6e\0\x62\x70\x66\x5f\x70\x72\x65\x65\x6d\x70\x74\x5f\x64\x69\
\x73\x61\x62\x6c\x65\0\x62\x70\x66\x5f\x70\x72\x65\x65\x6d\x70\x74\x5f\x65\x6e\
\x61\x62\x6c\x65\0\x72\x65\x6a\x65\x63\x74\x5f\x74\x61\x69\x6c\x5f\x63\x61\x6c\
\x6c\x5f\x72\x65\x66\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\
\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x34\x3d\x74\x61\x69\x6c\x5f\x63\x61\
\x6c\x6c\x20\x77\x6f\x75\x6c\x64\x20\x6c\x65\x61\x64\x20\x74\x6f\x20\x72\x65\
\x66\x65\x72\x65\x6e\x63\x65\x20\x6c\x65\x61\x6b\0\x66\x6f\x6f\0\x69\0\x62\x70\
\x66\x5f\x6f\x62\x6a\x5f\x6e\x65\x77\x5f\x69\x6d\x70\x6c\0\x62\x70\x66\x5f\x73\
\x70\x69\x6e\x5f\x6c\x6f\x63\x6b\0\x76\x61\x6c\0\x6c\x6f\x63\x6b\0\x63\x68\x61\
\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x62\x70\x66\x5f\x66\x6c\x6f\x77\x5f\
\x6b\x65\x79\x73\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\0\x2f\x62\x75\x69\x6c\x64\
\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\
\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x37\x30\x2e\x31\x39\x2e\x31\
\x2e\x65\x6c\x39\x5f\x36\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\
\x2d\x35\x37\x30\x2e\x31\x39\x2e\x31\x2e\x65\x6c\x39\x5f\x36\x2e\x73\x33\x39\
\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\
\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\
\x61\x69\x6c\x63\x61\x6c\x6c\x5f\x66\x61\x69\x6c\x2e\x63\0\x69\x6e\x74\x20\x72\
\x65\x6a\x65\x63\x74\x5f\x74\x61\x69\x6c\x5f\x63\x61\x6c\x6c\x5f\x73\x70\x69\
\x6e\x5f\x6c\x6f\x63\x6b\x28\x73\x74\x72\x75\x63\x74\x20\x5f\x5f\x73\x6b\x5f\
\x62\x75\x66\x66\x20\x2a\x63\x74\x78\x29\0\x09\x62\x70\x66\x5f\x73\x70\x69\x6e\
\x5f\x6c\x6f\x63\x6b\x28\x26\x6c\x6f\x63\x6b\x29\x3b\0\x2f\x62\x75\x69\x6c\x64\
\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\
\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x37\x30\x2e\x31\x39\x2e\x31\
\x2e\x65\x6c\x39\x5f\x36\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\
\x2d\x35\x37\x30\x2e\x31\x39\x2e\x31\x2e\x65\x6c\x39\x5f\x36\x2e\x73\x33\x39\
\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\
\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x74\x6f\x6f\x6c\x73\x2f\x69\
\x6e\x63\x6c\x75\x64\x65\x2f\x62\x70\x66\x2f\x62\x70\x66\x5f\x68\x65\x6c\x70\
\x65\x72\x73\x2e\x68\0\x09\x61\x73\x6d\x20\x76\x6f\x6c\x61\x74\x69\x6c\x65\x28\
\x22\x72\x31\x20\x3d\x20\x25\x5b\x63\x74\x78\x5d\x5c\x6e\x5c\x74\x22\0\x09\x72\
\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x69\x6e\x74\x20\x72\x65\x6a\x65\x63\x74\x5f\
\x74\x61\x69\x6c\x5f\x63\x61\x6c\x6c\x5f\x72\x63\x75\x5f\x6c\x6f\x63\x6b\x28\
\x73\x74\x72\x75\x63\x74\x20\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\x20\x2a\x63\
\x74\x78\x29\0\x09\x62\x70\x66\x5f\x72\x63\x75\x5f\x72\x65\x61\x64\x5f\x6c\x6f\
\x63\x6b\x28\x29\x3b\0\x09\x62\x70\x66\x5f\x72\x63\x75\x5f\x72\x65\x61\x64\x5f\
\x75\x6e\x6c\x6f\x63\x6b\x28\x29\x3b\0\x69\x6e\x74\x20\x72\x65\x6a\x65\x63\x74\
\x5f\x74\x61\x69\x6c\x5f\x63\x61\x6c\x6c\x5f\x70\x72\x65\x65\x6d\x70\x74\x5f\
\x6c\x6f\x63\x6b\x28\x73\x74\x72\x75\x63\x74\x20\x5f\x5f\x73\x6b\x5f\x62\x75\
\x66\x66\x20\x2a\x63\x74\x78\x29\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\
\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\
\x2e\x31\x34\x2e\x30\x2d\x35\x37\x30\x2e\x31\x39\x2e\x31\x2e\x65\x6c\x39\x5f\
\x36\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x37\x30\x2e\
\x31\x39\x2e\x31\x2e\x65\x6c\x39\x5f\x36\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\
\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\
\x74\x73\x2f\x62\x70\x66\x2f\x62\x70\x66\x5f\x65\x78\x70\x65\x72\x69\x6d\x65\
\x6e\x74\x61\x6c\x2e\x68\0\x09\x62\x70\x66\x5f\x70\x72\x65\x65\x6d\x70\x74\x5f\
\x64\x69\x73\x61\x62\x6c\x65\x28\x29\x3b\0\x09\x62\x70\x66\x5f\x70\x72\x65\x65\
\x6d\x70\x74\x5f\x65\x6e\x61\x62\x6c\x65\x28\x29\x3b\0\x7d\0\x69\x6e\x74\x20\
\x72\x65\x6a\x65\x63\x74\x5f\x74\x61\x69\x6c\x5f\x63\x61\x6c\x6c\x5f\x72\x65\
\x66\x28\x73\x74\x72\x75\x63\x74\x20\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\x20\
\x2a\x63\x74\x78\x29\0\x09\x70\x20\x3d\x20\x62\x70\x66\x5f\x6f\x62\x6a\x5f\x6e\
\x65\x77\x28\x74\x79\x70\x65\x6f\x66\x28\x2a\x70\x29\x29\x3b\0\x30\0\x2e\x62\
\x73\x73\x2e\x41\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6b\
\x73\x79\x6d\x73\0\x3f\x74\x63\0\0\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\x2c\
\0\0\0\x2c\0\0\x01\x2c\0\0\x01\x58\0\0\0\x1c\0\0\0\x08\0\0\x07\x76\0\0\0\x04\0\
\0\0\0\0\0\0\x18\0\0\0\x60\0\0\0\x1b\0\0\0\xb8\0\0\0\x21\0\0\x01\x10\0\0\0\x26\
\0\0\0\x10\0\0\x07\x76\0\0\0\x12\0\0\0\0\0\0\x04\x29\0\0\x04\xb0\0\0\x6c\0\0\0\
\0\x08\0\0\x04\x29\0\0\x04\xe6\0\0\x74\x02\0\0\0\x20\0\0\x04\xfd\0\0\x05\x8e\0\
\x02\x84\x02\0\0\0\x50\0\0\x04\x29\0\0\x05\xae\0\0\x7c\x02\0\0\0\x60\0\0\x04\
\x29\0\0\x05\xb9\0\0\x90\0\0\0\0\x68\0\0\x04\x29\0\0\x05\xee\0\0\x98\x02\0\0\0\
\x70\0\0\x04\xfd\0\0\x05\x8e\0\x02\x84\x02\0\0\0\xa0\0\0\x04\x29\0\0\x06\x04\0\
\0\xa0\x02\0\0\0\xa8\0\0\x04\x29\0\0\x05\xae\0\0\xa4\x02\0\0\0\xb8\0\0\x04\x29\
\0\0\x06\x1c\0\0\xb8\0\0\0\0\xc0\0\0\x06\x55\0\0\x06\xd9\0\x07\xb4\x02\0\0\0\
\xc8\0\0\x04\xfd\0\0\x05\x8e\0\x02\x84\x02\0\0\0\xf8\0\0\x06\x55\0\0\x06\xf1\0\
\x07\xc8\x02\0\0\x01\0\0\0\x04\x29\0\0\x07\x08\0\0\xcc\x01\0\0\x01\x10\0\0\x04\
\x29\0\0\x07\x0a\0\0\xdc\0\0\0\x01\x18\0\0\x04\x29\0\0\x07\x3a\0\0\xec\x06\0\0\
\x01\x38\0\0\x04\xfd\0\0\x05\x8e\0\x02\x84\x02\0\0\x01\x68\0\0\x04\x29\0\0\x05\
\xae\0\0\xf4\x02\0\0\0\x10\0\0\x07\x76\0\0\0\x01\0\0\x01\x18\0\0\0\x29\0\0\x07\
\x58\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\
\x01\x2e\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x70\0\0\0\0\0\0\x01\x68\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\
\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\xd8\0\0\0\0\0\0\x01\x78\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\x08\0\0\0\0\0\0\0\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x04\x50\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\x1c\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x04\x50\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\x22\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\
\x70\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\x01\x18\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x78\0\0\0\
\0\0\0\0\xa0\0\0\0\x02\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x01\
\x20\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\x18\0\0\0\0\0\0\
\x0d\x16\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x01\x25\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x12\x30\0\0\0\0\0\0\x01\x94\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct tailcall_fail *tailcall_fail::open(const struct bpf_object_open_opts *opts) { return tailcall_fail__open_opts(opts); }
struct tailcall_fail *tailcall_fail::open_and_load() { return tailcall_fail__open_and_load(); }
int tailcall_fail::load(struct tailcall_fail *skel) { return tailcall_fail__load(skel); }
int tailcall_fail::attach(struct tailcall_fail *skel) { return tailcall_fail__attach(skel); }
void tailcall_fail::detach(struct tailcall_fail *skel) { tailcall_fail__detach(skel); }
void tailcall_fail::destroy(struct tailcall_fail *skel) { tailcall_fail__destroy(skel); }
const void *tailcall_fail::elf_bytes(size_t *sz) { return tailcall_fail__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
tailcall_fail__assert(struct tailcall_fail *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TAILCALL_FAIL_SKEL_H__ */
