/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_HASH_LARGE_KEY_SKEL_H__
#define __TEST_HASH_LARGE_KEY_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct test_hash_large_key {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *key_map;
		struct bpf_map *hash_map;
	} maps;
	struct {
		struct bpf_program *bpf_hash_large_key_test;
	} progs;
	struct {
		struct bpf_link *bpf_hash_large_key_test;
	} links;

#ifdef __cplusplus
	static inline struct test_hash_large_key *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_hash_large_key *open_and_load();
	static inline int load(struct test_hash_large_key *skel);
	static inline int attach(struct test_hash_large_key *skel);
	static inline void detach(struct test_hash_large_key *skel);
	static inline void destroy(struct test_hash_large_key *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_hash_large_key__destroy(struct test_hash_large_key *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_hash_large_key__create_skeleton(struct test_hash_large_key *obj);

static inline struct test_hash_large_key *
test_hash_large_key__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_hash_large_key *obj;
	int err;

	obj = (struct test_hash_large_key *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_hash_large_key__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_hash_large_key__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_hash_large_key *
test_hash_large_key__open(void)
{
	return test_hash_large_key__open_opts(NULL);
}

static inline int
test_hash_large_key__load(struct test_hash_large_key *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_hash_large_key *
test_hash_large_key__open_and_load(void)
{
	struct test_hash_large_key *obj;
	int err;

	obj = test_hash_large_key__open();
	if (!obj)
		return NULL;
	err = test_hash_large_key__load(obj);
	if (err) {
		test_hash_large_key__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_hash_large_key__attach(struct test_hash_large_key *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_hash_large_key__detach(struct test_hash_large_key *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_hash_large_key__elf_bytes(size_t *sz);

static inline int
test_hash_large_key__create_skeleton(struct test_hash_large_key *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_hash_large_key";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "key_map";
	map->map = &obj->maps.key_map;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "hash_map";
	map->map = &obj->maps.hash_map;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "bpf_hash_large_key_test";
	s->progs[0].prog = &obj->progs.bpf_hash_large_key_test;
	s->progs[0].link = &obj->links.bpf_hash_large_key_test;

	s->data = test_hash_large_key__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_hash_large_key__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\x98\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x72\x61\x77\
\x5f\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\x2f\x73\x79\x73\x5f\x65\x6e\x74\
\x65\x72\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6d\x61\x70\x73\0\x74\x65\x73\x74\
\x5f\x68\x61\x73\x68\x5f\x6c\x61\x72\x67\x65\x5f\x6b\x65\x79\x2e\x63\0\x62\x70\
\x66\x5f\x68\x61\x73\x68\x5f\x6c\x61\x72\x67\x65\x5f\x6b\x65\x79\x5f\x74\x65\
\x73\x74\0\x6b\x65\x79\x5f\x6d\x61\x70\0\x68\x61\x73\x68\x5f\x6d\x61\x70\0\x5f\
\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x72\x61\x77\x5f\x74\x72\x61\x63\
\x65\x70\x6f\x69\x6e\x74\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x2e\x42\x54\
\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4e\x12\0\0\x03\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x90\0\0\0\x66\x11\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x20\0\0\0\x6e\x11\0\0\x05\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x20\0\0\0\x77\x11\
\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x62\xa0\xff\xfc\0\0\0\0\x62\xa0\xff\
\xf8\0\0\0\x2a\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xfc\x18\x10\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\x15\0\0\x08\0\0\0\0\x7a\0\x10\x08\0\0\
\0\x01\xbf\x3a\0\0\0\0\0\0\x07\x30\0\0\xff\xff\xff\xf8\x18\x10\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xbf\x20\0\0\0\0\0\0\xb7\x40\0\0\0\0\0\0\x85\0\0\0\0\0\0\x02\xb4\0\
\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\x04\0\0\0\x01\0\0\0\0\0\0\0\
\x58\0\0\0\x05\0\0\0\x01\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\x02\x50\0\0\x02\
\x50\0\0\x01\xee\0\0\0\0\x02\0\0\0\0\0\0\x03\0\0\0\x01\x01\0\0\0\0\0\0\x04\x01\
\0\0\x20\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x06\0\0\0\x05\x01\
\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x02\0\0\0\0\0\0\x06\0\0\0\0\x03\0\0\0\0\0\0\
\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\x08\0\0\0\x19\x08\0\0\
\0\0\0\0\x09\0\0\0\x1f\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x02\0\0\0\0\0\0\
\x0b\0\0\0\x2c\x04\0\0\x03\0\0\x10\x10\0\0\0\x37\0\0\0\x02\0\0\0\0\0\0\0\x39\0\
\0\0\x0d\0\0\0\x20\0\0\0\x3b\0\0\0\x0e\0\0\x80\x40\0\0\0\x3d\x01\0\0\0\0\0\0\
\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x0c\0\0\0\x04\0\0\x10\0\0\0\0\
\x42\x01\0\0\0\0\0\0\x08\x01\0\0\x40\0\0\0\0\x04\0\0\x04\0\0\0\x20\0\0\0\x4c\0\
\0\0\x01\0\0\0\0\0\0\0\x51\0\0\0\x05\0\0\0\x40\0\0\0\x5d\0\0\0\x07\0\0\0\x80\0\
\0\0\x61\0\0\0\x0a\0\0\0\xc0\0\0\0\x67\x0e\0\0\0\0\0\0\x0f\0\0\0\x01\0\0\0\0\
\x02\0\0\0\0\0\0\x12\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x02\0\
\0\0\0\x04\0\0\x04\0\0\0\x20\0\0\0\x4c\0\0\0\x05\0\0\0\0\0\0\0\x51\0\0\0\x11\0\
\0\0\x40\0\0\0\x5d\0\0\0\x0a\0\0\0\x80\0\0\0\x61\0\0\0\x07\0\0\0\xc0\0\0\0\x6f\
\x0e\0\0\0\0\0\0\x13\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\x0d\0\0\x01\0\
\0\0\x02\0\0\0\x78\0\0\0\x15\0\0\0\x7c\x0c\0\0\x01\0\0\0\x16\0\0\0\0\x03\0\0\0\
\0\0\0\0\0\0\0\x0c\0\0\0\x04\0\0\0\x04\0\0\0\x94\x0e\0\0\0\0\0\0\x18\0\0\0\x01\
\0\0\x01\xc7\x0f\0\0\x01\0\0\0\x04\0\0\0\x19\0\0\0\0\0\0\0\x04\0\0\x01\xcf\x0f\
\0\0\x02\0\0\0\x40\0\0\0\x10\0\0\0\0\0\0\0\x20\0\0\0\x14\0\0\0\x20\0\0\0\x20\0\
\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\
\x45\x5f\x5f\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\
\x6e\x74\0\x62\x69\x67\x65\x6c\x65\x6d\x65\x6e\x74\0\x61\0\x62\0\x63\0\x63\x68\
\x61\x72\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x74\x79\x70\x65\0\x6d\x61\x78\
\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x6b\x65\
\x79\x5f\x6d\x61\x70\0\x68\x61\x73\x68\x5f\x6d\x61\x70\0\x63\x74\x78\0\x62\x70\
\x66\x5f\x68\x61\x73\x68\x5f\x6c\x61\x72\x67\x65\x5f\x6b\x65\x79\x5f\x74\x65\
\x73\x74\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\
\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\
\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x37\x30\x2e\x31\x39\x2e\x31\x2e\x65\
\x6c\x39\x5f\x36\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\
\x37\x30\x2e\x31\x39\x2e\x31\x2e\x65\x6c\x39\x5f\x36\x2e\x73\x33\x39\x30\x78\
\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\
\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\
\x74\x5f\x68\x61\x73\x68\x5f\x6c\x61\x72\x67\x65\x5f\x6b\x65\x79\x2e\x63\0\x09\
\x69\x6e\x74\x20\x7a\x65\x72\x6f\x20\x3d\x20\x30\x2c\x20\x76\x61\x6c\x75\x65\
\x20\x3d\x20\x34\x32\x3b\0\x09\x6b\x65\x79\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\
\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x6b\x65\x79\x5f\
\x6d\x61\x70\x2c\x20\x26\x7a\x65\x72\x6f\x29\x3b\0\x09\x69\x66\x20\x28\x21\x6b\
\x65\x79\x29\0\x09\x6b\x65\x79\x2d\x3e\x63\x20\x3d\x20\x31\x3b\0\x09\x69\x66\
\x20\x28\x62\x70\x66\x5f\x6d\x61\x70\x5f\x75\x70\x64\x61\x74\x65\x5f\x65\x6c\
\x65\x6d\x28\x26\x68\x61\x73\x68\x5f\x6d\x61\x70\x2c\x20\x6b\x65\x79\x2c\x20\
\x26\x76\x61\x6c\x75\x65\x2c\x20\x42\x50\x46\x5f\x41\x4e\x59\x29\x29\0\x7d\0\
\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6d\x61\x70\x73\0\x72\x61\x77\x5f\x74\x72\
\x61\x63\x65\x70\x6f\x69\x6e\x74\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\0\0\
\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\x7c\0\0\0\x90\0\0\0\
\0\0\0\0\x08\0\0\x01\xd5\0\0\0\x01\0\0\0\0\0\0\0\x17\0\0\0\x10\0\0\x01\xd5\0\0\
\0\x07\0\0\0\0\0\0\0\x9d\0\0\x01\x2a\0\0\x7c\x06\0\0\0\x08\0\0\0\x9d\0\0\x01\
\x2a\0\0\x7c\x10\0\0\0\x20\0\0\0\x9d\0\0\x01\x45\0\0\x88\x08\0\0\0\x38\0\0\0\
\x9d\0\0\x01\x72\0\0\x8c\x06\0\0\0\x40\0\0\0\x9d\0\0\x01\x7d\0\0\x98\x09\0\0\0\
\x58\0\0\0\x9d\0\0\x01\x8a\0\0\x9c\x06\0\0\0\x80\0\0\0\x9d\0\0\x01\xc5\0\0\xac\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\
\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xab\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\0\0\0\0\0\0\0\xa8\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x01\x98\0\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\0\0\0\0\x2a\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x02\x28\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\x32\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x30\0\0\0\
\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x80\0\0\0\
\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x70\0\0\0\0\0\0\0\x20\0\
\0\0\x02\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\x9d\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x90\0\0\0\0\0\0\x04\x56\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\xa2\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\xe8\0\0\0\0\0\0\0\xb0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_hash_large_key *test_hash_large_key::open(const struct bpf_object_open_opts *opts) { return test_hash_large_key__open_opts(opts); }
struct test_hash_large_key *test_hash_large_key::open_and_load() { return test_hash_large_key__open_and_load(); }
int test_hash_large_key::load(struct test_hash_large_key *skel) { return test_hash_large_key__load(skel); }
int test_hash_large_key::attach(struct test_hash_large_key *skel) { return test_hash_large_key__attach(skel); }
void test_hash_large_key::detach(struct test_hash_large_key *skel) { test_hash_large_key__detach(skel); }
void test_hash_large_key::destroy(struct test_hash_large_key *skel) { test_hash_large_key__destroy(skel); }
const void *test_hash_large_key::elf_bytes(size_t *sz) { return test_hash_large_key__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_hash_large_key__assert(struct test_hash_large_key *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_HASH_LARGE_KEY_SKEL_H__ */
