/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_META_ACCESS_SKEL_H__
#define __VERIFIER_META_ACCESS_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct verifier_meta_access {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *meta_access_test1;
		struct bpf_program *meta_access_test2;
		struct bpf_program *meta_access_test3;
		struct bpf_program *meta_access_test4;
		struct bpf_program *meta_access_test5;
		struct bpf_program *meta_access_test6;
		struct bpf_program *meta_access_test7;
		struct bpf_program *meta_access_test8;
		struct bpf_program *meta_access_test9;
		struct bpf_program *meta_access_test10;
		struct bpf_program *meta_access_test11;
		struct bpf_program *meta_access_test12;
	} progs;
	struct {
		struct bpf_link *meta_access_test1;
		struct bpf_link *meta_access_test2;
		struct bpf_link *meta_access_test3;
		struct bpf_link *meta_access_test4;
		struct bpf_link *meta_access_test5;
		struct bpf_link *meta_access_test6;
		struct bpf_link *meta_access_test7;
		struct bpf_link *meta_access_test8;
		struct bpf_link *meta_access_test9;
		struct bpf_link *meta_access_test10;
		struct bpf_link *meta_access_test11;
		struct bpf_link *meta_access_test12;
	} links;

#ifdef __cplusplus
	static inline struct verifier_meta_access *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_meta_access *open_and_load();
	static inline int load(struct verifier_meta_access *skel);
	static inline int attach(struct verifier_meta_access *skel);
	static inline void detach(struct verifier_meta_access *skel);
	static inline void destroy(struct verifier_meta_access *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_meta_access__destroy(struct verifier_meta_access *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_meta_access__create_skeleton(struct verifier_meta_access *obj);

static inline struct verifier_meta_access *
verifier_meta_access__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_meta_access *obj;
	int err;

	obj = (struct verifier_meta_access *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_meta_access__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_meta_access__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_meta_access *
verifier_meta_access__open(void)
{
	return verifier_meta_access__open_opts(NULL);
}

static inline int
verifier_meta_access__load(struct verifier_meta_access *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_meta_access *
verifier_meta_access__open_and_load(void)
{
	struct verifier_meta_access *obj;
	int err;

	obj = verifier_meta_access__open();
	if (!obj)
		return NULL;
	err = verifier_meta_access__load(obj);
	if (err) {
		verifier_meta_access__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_meta_access__attach(struct verifier_meta_access *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_meta_access__detach(struct verifier_meta_access *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_meta_access__elf_bytes(size_t *sz);

static inline int
verifier_meta_access__create_skeleton(struct verifier_meta_access *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_meta_access";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 12;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "meta_access_test1";
	s->progs[0].prog = &obj->progs.meta_access_test1;
	s->progs[0].link = &obj->links.meta_access_test1;

	s->progs[1].name = "meta_access_test2";
	s->progs[1].prog = &obj->progs.meta_access_test2;
	s->progs[1].link = &obj->links.meta_access_test2;

	s->progs[2].name = "meta_access_test3";
	s->progs[2].prog = &obj->progs.meta_access_test3;
	s->progs[2].link = &obj->links.meta_access_test3;

	s->progs[3].name = "meta_access_test4";
	s->progs[3].prog = &obj->progs.meta_access_test4;
	s->progs[3].link = &obj->links.meta_access_test4;

	s->progs[4].name = "meta_access_test5";
	s->progs[4].prog = &obj->progs.meta_access_test5;
	s->progs[4].link = &obj->links.meta_access_test5;

	s->progs[5].name = "meta_access_test6";
	s->progs[5].prog = &obj->progs.meta_access_test6;
	s->progs[5].link = &obj->links.meta_access_test6;

	s->progs[6].name = "meta_access_test7";
	s->progs[6].prog = &obj->progs.meta_access_test7;
	s->progs[6].link = &obj->links.meta_access_test7;

	s->progs[7].name = "meta_access_test8";
	s->progs[7].prog = &obj->progs.meta_access_test8;
	s->progs[7].link = &obj->links.meta_access_test8;

	s->progs[8].name = "meta_access_test9";
	s->progs[8].prog = &obj->progs.meta_access_test9;
	s->progs[8].link = &obj->links.meta_access_test9;

	s->progs[9].name = "meta_access_test10";
	s->progs[9].prog = &obj->progs.meta_access_test10;
	s->progs[9].link = &obj->links.meta_access_test10;

	s->progs[10].name = "meta_access_test11";
	s->progs[10].prog = &obj->progs.meta_access_test11;
	s->progs[10].link = &obj->links.meta_access_test11;

	s->progs[11].name = "meta_access_test12";
	s->progs[11].prog = &obj->progs.meta_access_test12;
	s->progs[11].link = &obj->links.meta_access_test12;

	s->data = verifier_meta_access__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_meta_access__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x12\x70\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x07\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x78\x64\x70\
\0\x6c\x69\x63\x65\x6e\x73\x65\0\x76\x65\x72\x69\x66\x69\x65\x72\x5f\x6d\x65\
\x74\x61\x5f\x61\x63\x63\x65\x73\x73\x2e\x63\0\x6c\x30\x5f\x30\0\x6c\x30\x5f\
\x31\0\x6c\x30\x5f\x32\0\x6c\x30\x5f\x33\0\x6c\x30\x5f\x34\0\x6c\x30\x5f\x35\0\
\x6c\x30\x5f\x36\0\x6c\x30\x5f\x37\0\x6c\x30\x5f\x38\0\x6c\x30\x5f\x39\0\x6c\
\x30\x5f\x31\x30\0\x6c\x30\x5f\x31\x31\0\x6d\x65\x74\x61\x5f\x61\x63\x63\x65\
\x73\x73\x5f\x74\x65\x73\x74\x31\0\x6d\x65\x74\x61\x5f\x61\x63\x63\x65\x73\x73\
\x5f\x74\x65\x73\x74\x32\0\x6d\x65\x74\x61\x5f\x61\x63\x63\x65\x73\x73\x5f\x74\
\x65\x73\x74\x33\0\x6d\x65\x74\x61\x5f\x61\x63\x63\x65\x73\x73\x5f\x74\x65\x73\
\x74\x34\0\x6d\x65\x74\x61\x5f\x61\x63\x63\x65\x73\x73\x5f\x74\x65\x73\x74\x35\
\0\x6d\x65\x74\x61\x5f\x61\x63\x63\x65\x73\x73\x5f\x74\x65\x73\x74\x36\0\x6d\
\x65\x74\x61\x5f\x61\x63\x63\x65\x73\x73\x5f\x74\x65\x73\x74\x37\0\x6d\x65\x74\
\x61\x5f\x61\x63\x63\x65\x73\x73\x5f\x74\x65\x73\x74\x38\0\x6d\x65\x74\x61\x5f\
\x61\x63\x63\x65\x73\x73\x5f\x74\x65\x73\x74\x39\0\x6d\x65\x74\x61\x5f\x61\x63\
\x63\x65\x73\x73\x5f\x74\x65\x73\x74\x31\x30\0\x6d\x65\x74\x61\x5f\x61\x63\x63\
\x65\x73\x73\x5f\x74\x65\x73\x74\x31\x31\0\x6d\x65\x74\x61\x5f\x61\x63\x63\x65\
\x73\x73\x5f\x74\x65\x73\x74\x31\x32\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\
\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1d\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x34\0\0\0\x03\0\
\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\x39\0\0\0\x03\0\0\0\0\0\0\0\x80\0\0\0\0\
\0\0\0\0\0\0\0\x3e\0\0\0\x03\0\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\0\0\0\0\x43\0\0\0\
\x03\0\0\0\0\0\0\x01\x08\0\0\0\0\0\0\0\0\0\0\0\x48\0\0\0\x03\0\0\0\0\0\0\x01\
\x58\0\0\0\0\0\0\0\0\0\0\0\x4d\0\0\0\x03\0\0\0\0\0\0\x01\xa8\0\0\0\0\0\0\0\0\0\
\0\0\x52\0\0\0\x03\0\0\0\0\0\0\x01\xf8\0\0\0\0\0\0\0\0\0\0\0\x57\0\0\0\x03\0\0\
\0\0\0\0\x02\x38\0\0\0\0\0\0\0\0\0\0\0\x5c\0\0\0\x03\0\0\0\0\0\0\x02\x80\0\0\0\
\0\0\0\0\0\0\0\0\x61\0\0\0\x03\0\0\0\0\0\0\x03\x08\0\0\0\0\0\0\0\0\0\0\0\x66\0\
\0\0\x03\0\0\0\0\0\0\x03\x88\0\0\0\0\0\0\0\0\0\0\0\x6c\0\0\0\x03\0\0\0\0\0\0\
\x03\xf0\0\0\0\0\0\0\0\0\0\0\0\x72\x12\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x40\0\0\0\x84\x12\0\0\x03\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x50\0\0\0\x96\x12\0\
\0\x03\0\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\x40\0\0\0\xa8\x12\0\0\x03\0\0\0\0\0\0\0\
\xd0\0\0\0\0\0\0\0\x48\0\0\0\xba\x12\0\0\x03\0\0\0\0\0\0\x01\x18\0\0\0\0\0\0\0\
\x50\0\0\0\xcc\x12\0\0\x03\0\0\0\0\0\0\x01\x68\0\0\0\0\0\0\0\x50\0\0\0\xde\x12\
\0\0\x03\0\0\0\0\0\0\x01\xb8\0\0\0\0\0\0\0\x50\0\0\0\xf0\x12\0\0\x03\0\0\0\0\0\
\0\x02\x08\0\0\0\0\0\0\0\x40\0\0\x01\x02\x12\0\0\x03\0\0\0\0\0\0\x02\x48\0\0\0\
\0\0\0\0\x48\0\0\x01\x14\x12\0\0\x03\0\0\0\0\0\0\x02\x90\0\0\0\0\0\0\0\x88\0\0\
\x01\x27\x12\0\0\x03\0\0\0\0\0\0\x03\x18\0\0\0\0\0\0\0\x80\0\0\x01\x3a\x12\0\0\
\x03\0\0\0\0\0\0\x03\x98\0\0\0\0\0\0\0\x68\0\0\x01\x4d\x11\0\0\x04\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x04\x61\x21\0\x08\0\0\0\0\x61\x31\0\0\0\0\0\0\xbf\x02\0\0\0\
\0\0\0\x07\0\0\0\0\0\0\x08\x2d\x03\0\x01\0\0\0\0\x71\x02\0\0\0\0\0\0\xb7\0\0\0\
\0\0\0\0\x95\0\0\0\0\0\0\0\x61\x21\0\x08\0\0\0\0\x61\x31\0\0\0\0\0\0\xbf\x02\0\
\0\0\0\0\0\x17\0\0\0\0\0\0\x08\xbf\x42\0\0\0\0\0\0\x07\x40\0\0\0\0\0\x08\x2d\
\x43\0\x01\0\0\0\0\x71\0\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x61\
\x21\0\x08\0\0\0\0\x61\x31\0\x04\0\0\0\0\xbf\x02\0\0\0\0\0\0\x07\0\0\0\0\0\0\
\x08\x2d\x03\0\x01\0\0\0\0\x71\x02\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\
\0\0\x61\x21\0\x08\0\0\0\0\x61\x31\0\x04\0\0\0\0\x61\x41\0\0\0\0\0\0\xbf\x04\0\
\0\0\0\0\0\x07\0\0\0\0\0\0\x08\x2d\x03\0\x01\0\0\0\0\x71\x02\0\0\0\0\0\0\xb7\0\
\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x61\x31\0\x08\0\0\0\0\x61\x41\0\0\0\0\0\0\xbf\
\x03\0\0\0\0\0\0\x07\0\0\0\0\0\0\x08\x2d\x04\0\x03\0\0\0\0\xb7\x20\0\0\xff\xff\
\xff\xf8\x85\0\0\0\0\0\0\x36\x71\x03\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\
\0\0\0\x61\x21\0\x08\0\0\0\0\x61\x31\0\0\0\0\0\0\xbf\x03\0\0\0\0\0\0\x07\0\0\0\
\0\0\0\x08\xbf\x42\0\0\0\0\0\0\x07\x40\0\0\0\0\0\x08\x2d\x40\0\x01\0\0\0\0\x71\
\x02\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x61\x21\0\x08\0\0\0\0\x61\
\x31\0\0\0\0\0\0\xbf\x03\0\0\0\0\0\0\x07\0\0\0\0\0\0\x08\xbf\x42\0\0\0\0\0\0\
\x07\x40\0\0\0\0\0\x08\x2d\x43\0\x01\0\0\0\0\x71\x02\0\0\0\0\0\0\xb7\0\0\0\0\0\
\0\0\x95\0\0\0\0\0\0\0\x61\x21\0\x08\0\0\0\0\x61\x31\0\0\0\0\0\0\xbf\x42\0\0\0\
\0\0\0\x07\x40\0\0\0\0\xff\xff\x2d\x43\0\x01\0\0\0\0\x71\x02\0\0\0\0\0\0\xb7\0\
\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x61\x21\0\x08\0\0\0\0\x61\x31\0\0\0\0\0\0\xbf\
\x42\0\0\0\0\0\0\x07\x40\0\0\0\0\xff\xff\x07\x40\0\0\0\0\0\x01\x2d\x43\0\x01\0\
\0\0\0\x71\x02\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x61\x21\0\x08\0\
\0\0\0\x61\x31\0\0\0\0\0\0\x61\x41\0\x04\0\0\0\0\xb7\x50\0\0\0\0\0\x2a\xb7\x60\
\0\0\0\0\0\x18\x7b\xa5\xff\xf8\0\0\0\0\xdb\xa6\xff\xf8\0\0\0\0\x79\x5a\xff\xf8\
\0\0\0\0\x25\x50\0\x06\0\0\0\x64\x0f\x35\0\0\0\0\0\0\xbf\x53\0\0\0\0\0\0\xbf\
\x62\0\0\0\0\0\0\x07\x60\0\0\0\0\0\x08\x2d\x65\0\x01\0\0\0\0\x71\x22\0\0\0\0\0\
\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x61\x21\0\x08\0\0\0\0\x61\x31\0\0\0\0\0\
\0\xb7\x50\0\0\0\0\0\x2a\xb7\x60\0\0\0\0\0\x18\x7b\xa5\xff\xf8\0\0\0\0\xdb\xa6\
\xff\xf8\0\0\0\0\x79\x5a\xff\xf8\0\0\0\0\x25\x50\0\x06\0\0\0\x64\x0f\x25\0\0\0\
\0\0\0\xbf\x52\0\0\0\0\0\0\xbf\x62\0\0\0\0\0\0\x07\x60\0\0\0\0\0\x08\x2d\x63\0\
\x01\0\0\0\0\x71\x55\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x61\x21\0\
\x08\0\0\0\0\x61\x31\0\0\0\0\0\0\x61\x41\0\x04\0\0\0\0\xbf\x53\0\0\0\0\0\0\x07\
\x50\0\0\0\0\0\x10\x2d\x54\0\x05\0\0\0\0\x71\x03\0\0\0\0\0\0\xbf\x52\0\0\0\0\0\
\0\x07\x50\0\0\0\0\0\x10\x2d\x53\0\x01\0\0\0\0\x71\x02\0\0\0\0\0\0\xb7\0\0\0\0\
\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\
\0\0\x03\x3c\0\0\x03\x3c\0\0\x05\x70\0\0\0\0\x0d\0\0\0\0\0\0\0\0\0\0\x01\x0c\0\
\0\x01\0\0\0\x01\0\0\0\x13\x11\0\0\0\0\0\0\x02\xff\xff\xff\xff\0\0\0\x3f\x11\0\
\0\0\0\0\0\x02\xff\xff\xff\xff\0\0\0\x5b\x11\0\0\0\0\0\0\x02\xff\xff\xff\xff\0\
\0\0\x71\x0c\0\0\x01\0\0\0\x01\0\0\0\x83\x11\0\0\0\0\0\0\x06\xff\xff\xff\xff\0\
\0\0\xaf\x11\0\0\0\0\0\0\x06\xff\xff\xff\xff\0\0\0\xcb\x11\0\0\0\0\0\0\x06\xff\
\xff\xff\xff\0\0\x01\x06\x0c\0\0\x01\0\0\0\x01\0\0\x01\x18\x11\0\0\0\0\0\0\x0a\
\xff\xff\xff\xff\0\0\0\xaf\x11\0\0\0\0\0\0\x0a\xff\xff\xff\xff\0\0\x01\x44\x11\
\0\0\0\0\0\0\x0a\xff\xff\xff\xff\0\0\x01\x77\x0c\0\0\x01\0\0\0\x01\0\0\x01\x89\
\x11\0\0\0\0\0\0\x0e\xff\xff\xff\xff\0\0\0\xaf\x11\0\0\0\0\0\0\x0e\xff\xff\xff\
\xff\0\0\x01\xb5\x11\0\0\0\0\0\0\x0e\xff\xff\xff\xff\0\0\x01\xe8\x0c\0\0\x01\0\
\0\0\x01\0\0\x01\xfa\x11\0\0\0\0\0\0\x12\xff\xff\xff\xff\0\0\0\xaf\x11\0\0\0\0\
\0\0\x12\xff\xff\xff\xff\0\0\x02\x26\x11\0\0\0\0\0\0\x12\xff\xff\xff\xff\0\0\
\x02\x4c\x0c\0\0\x01\0\0\0\x01\0\0\x02\x5e\x11\0\0\0\0\0\0\x16\xff\xff\xff\xff\
\0\0\0\xaf\x11\0\0\0\0\0\0\x16\xff\xff\xff\xff\0\0\x02\x8a\x11\0\0\0\0\0\0\x16\
\xff\xff\xff\xff\0\0\x02\xbd\x0c\0\0\x01\0\0\0\x01\0\0\x02\xcf\x11\0\0\0\0\0\0\
\x1a\xff\xff\xff\xff\0\0\0\x3f\x11\0\0\0\0\0\0\x1a\xff\xff\xff\xff\0\0\0\x5b\
\x11\0\0\0\0\0\0\x1a\xff\xff\xff\xff\0\0\x02\xfb\x0c\0\0\x01\0\0\0\x01\0\0\x03\
\x0d\x11\0\0\0\0\0\0\x1e\xff\xff\xff\xff\0\0\0\x3f\x11\0\0\0\0\0\0\x1e\xff\xff\
\xff\xff\0\0\0\x5b\x11\0\0\0\0\0\0\x1e\xff\xff\xff\xff\0\0\x03\x39\x0c\0\0\x01\
\0\0\0\x01\0\0\x03\x4b\x11\0\0\0\0\0\0\x22\xff\xff\xff\xff\0\0\0\xaf\x11\0\0\0\
\0\0\0\x22\xff\xff\xff\xff\0\0\x03\x77\x11\0\0\0\0\0\0\x22\xff\xff\xff\xff\0\0\
\x03\xaa\x0c\0\0\x01\0\0\0\x01\0\0\x03\xbd\x11\0\0\0\0\0\0\x26\xff\xff\xff\xff\
\0\0\0\xaf\x11\0\0\0\0\0\0\x26\xff\xff\xff\xff\0\0\x03\xea\x11\0\0\0\0\0\0\x26\
\xff\xff\xff\xff\0\0\x04\x1d\x0c\0\0\x01\0\0\0\x01\0\0\x04\x30\x11\0\0\0\0\0\0\
\x2a\xff\xff\xff\xff\0\0\0\x3f\x11\0\0\0\0\0\0\x2a\xff\xff\xff\xff\0\0\0\x5b\
\x11\0\0\0\0\0\0\x2a\xff\xff\xff\xff\0\0\x04\x5d\x0c\0\0\x01\0\0\0\x01\0\0\x04\
\x70\x11\0\0\0\0\0\0\x2e\xff\xff\xff\xff\0\0\0\x3f\x11\0\0\0\0\0\0\x2e\xff\xff\
\xff\xff\0\0\0\x5b\x11\0\0\0\0\0\0\x2e\xff\xff\xff\xff\0\0\x04\x9d\x01\0\0\0\0\
\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x32\0\0\0\x34\0\0\0\x04\0\
\0\x04\xa2\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\x04\xb6\x0e\0\0\0\0\0\0\x33\0\0\0\
\x01\0\0\x05\x64\x0f\0\0\x01\0\0\0\x04\0\0\0\x35\0\0\0\0\0\0\0\x04\0\x6d\x65\
\x74\x61\x5f\x61\x63\x63\x65\x73\x73\x5f\x74\x65\x73\x74\x31\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\
\x6e\x3d\x6d\x65\x74\x61\x20\x61\x63\x63\x65\x73\x73\x2c\x20\x74\x65\x73\x74\
\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x73\x75\x63\x63\x65\x73\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x72\x65\x74\x76\x61\x6c\x3d\x30\0\x6d\x65\x74\x61\x5f\x61\x63\x63\
\x65\x73\x73\x5f\x74\x65\x73\x74\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x6d\x65\x74\x61\
\x20\x61\x63\x63\x65\x73\x73\x2c\x20\x74\x65\x73\x74\x32\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\x61\x69\x6c\
\x75\x72\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\
\x65\x63\x74\x5f\x6d\x73\x67\x3d\x30\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x61\
\x63\x63\x65\x73\x73\x20\x74\x6f\x20\x70\x61\x63\x6b\x65\x74\x2c\x20\x6f\x66\
\x66\x3d\x2d\x38\0\x6d\x65\x74\x61\x5f\x61\x63\x63\x65\x73\x73\x5f\x74\x65\x73\
\x74\x33\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\
\x72\x69\x70\x74\x69\x6f\x6e\x3d\x6d\x65\x74\x61\x20\x61\x63\x63\x65\x73\x73\
\x2c\x20\x74\x65\x73\x74\x33\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x3d\x69\x6e\x76\x61\x6c\
\x69\x64\x20\x61\x63\x63\x65\x73\x73\x20\x74\x6f\x20\x70\x61\x63\x6b\x65\x74\0\
\x6d\x65\x74\x61\x5f\x61\x63\x63\x65\x73\x73\x5f\x74\x65\x73\x74\x34\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\
\x69\x6f\x6e\x3d\x6d\x65\x74\x61\x20\x61\x63\x63\x65\x73\x73\x2c\x20\x74\x65\
\x73\x74\x34\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\
\x65\x63\x74\x5f\x6d\x73\x67\x3d\x32\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x61\
\x63\x63\x65\x73\x73\x20\x74\x6f\x20\x70\x61\x63\x6b\x65\x74\0\x6d\x65\x74\x61\
\x5f\x61\x63\x63\x65\x73\x73\x5f\x74\x65\x73\x74\x35\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\
\x6d\x65\x74\x61\x20\x61\x63\x63\x65\x73\x73\x2c\x20\x74\x65\x73\x74\x35\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x6d\x73\x67\x3d\x33\x3d\x52\x33\x20\x21\x72\x65\x61\x64\x5f\x6f\x6b\0\x6d\x65\
\x74\x61\x5f\x61\x63\x63\x65\x73\x73\x5f\x74\x65\x73\x74\x36\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\
\x6e\x3d\x6d\x65\x74\x61\x20\x61\x63\x63\x65\x73\x73\x2c\x20\x74\x65\x73\x74\
\x36\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x6d\x73\x67\x3d\x34\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x61\x63\x63\
\x65\x73\x73\x20\x74\x6f\x20\x70\x61\x63\x6b\x65\x74\0\x6d\x65\x74\x61\x5f\x61\
\x63\x63\x65\x73\x73\x5f\x74\x65\x73\x74\x37\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x6d\x65\
\x74\x61\x20\x61\x63\x63\x65\x73\x73\x2c\x20\x74\x65\x73\x74\x37\0\x6d\x65\x74\
\x61\x5f\x61\x63\x63\x65\x73\x73\x5f\x74\x65\x73\x74\x38\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\
\x3d\x6d\x65\x74\x61\x20\x61\x63\x63\x65\x73\x73\x2c\x20\x74\x65\x73\x74\x38\0\
\x6d\x65\x74\x61\x5f\x61\x63\x63\x65\x73\x73\x5f\x74\x65\x73\x74\x39\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\
\x69\x6f\x6e\x3d\x6d\x65\x74\x61\x20\x61\x63\x63\x65\x73\x73\x2c\x20\x74\x65\
\x73\x74\x39\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\
\x65\x63\x74\x5f\x6d\x73\x67\x3d\x35\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x61\
\x63\x63\x65\x73\x73\x20\x74\x6f\x20\x70\x61\x63\x6b\x65\x74\0\x6d\x65\x74\x61\
\x5f\x61\x63\x63\x65\x73\x73\x5f\x74\x65\x73\x74\x31\x30\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\
\x3d\x6d\x65\x74\x61\x20\x61\x63\x63\x65\x73\x73\x2c\x20\x74\x65\x73\x74\x31\
\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x6d\x73\x67\x3d\x36\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x61\x63\x63\
\x65\x73\x73\x20\x74\x6f\x20\x70\x61\x63\x6b\x65\x74\0\x6d\x65\x74\x61\x5f\x61\
\x63\x63\x65\x73\x73\x5f\x74\x65\x73\x74\x31\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x6d\
\x65\x74\x61\x20\x61\x63\x63\x65\x73\x73\x2c\x20\x74\x65\x73\x74\x31\x31\0\x6d\
\x65\x74\x61\x5f\x61\x63\x63\x65\x73\x73\x5f\x74\x65\x73\x74\x31\x32\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\
\x69\x6f\x6e\x3d\x6d\x65\x74\x61\x20\x61\x63\x63\x65\x73\x73\x2c\x20\x74\x65\
\x73\x74\x31\x32\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\
\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\
\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\
\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x37\x30\
\x2e\x31\x39\x2e\x31\x2e\x65\x6c\x39\x5f\x36\x2f\x6c\x69\x6e\x75\x78\x2d\x35\
\x2e\x31\x34\x2e\x30\x2d\x35\x37\x30\x2e\x31\x39\x2e\x31\x2e\x65\x6c\x39\x5f\
\x36\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\
\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\
\x6f\x67\x73\x2f\x76\x65\x72\x69\x66\x69\x65\x72\x5f\x6d\x65\x74\x61\x5f\x61\
\x63\x63\x65\x73\x73\x2e\x63\0\x09\x61\x73\x6d\x20\x76\x6f\x6c\x61\x74\x69\x6c\
\x65\x20\x28\x22\x09\x09\x09\x09\x09\x5c\0\x6c\x69\x63\x65\x6e\x73\x65\0\x78\
\x64\x70\0\0\0\0\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\x6c\0\0\0\x6c\0\0\0\
\xcc\0\0\x01\x38\0\0\0\0\0\0\0\x08\0\0\x05\x6c\0\0\0\x0c\0\0\0\0\0\0\0\x02\0\0\
\0\x40\0\0\0\x06\0\0\0\x90\0\0\0\x0a\0\0\0\xd0\0\0\0\x0e\0\0\x01\x18\0\0\0\x12\
\0\0\x01\x68\0\0\0\x16\0\0\x01\xb8\0\0\0\x1a\0\0\x02\x08\0\0\0\x1e\0\0\x02\x48\
\0\0\0\x22\0\0\x02\x90\0\0\0\x26\0\0\x03\x18\0\0\0\x2a\0\0\x03\x98\0\0\0\x2e\0\
\0\0\x10\0\0\x05\x6c\0\0\0\x0c\0\0\0\0\0\0\x04\xbf\0\0\x05\x4d\0\0\x34\x02\0\0\
\0\x40\0\0\x04\xbf\0\0\x05\x4d\0\0\x84\x02\0\0\0\x90\0\0\x04\xbf\0\0\x05\x4d\0\
\0\xdc\x02\0\0\0\xd0\0\0\x04\xbf\0\0\x05\x4d\0\x01\x2c\x02\0\0\x01\x18\0\0\x04\
\xbf\0\0\x05\x4d\0\x01\x84\x02\0\0\x01\x68\0\0\x04\xbf\0\0\x05\x4d\0\x01\xe0\
\x02\0\0\x01\xb8\0\0\x04\xbf\0\0\x05\x4d\0\x02\x38\x02\0\0\x02\x08\0\0\x04\xbf\
\0\0\x05\x4d\0\x02\x90\x02\0\0\x02\x48\0\0\x04\xbf\0\0\x05\x4d\0\x02\xe0\x02\0\
\0\x02\x90\0\0\x04\xbf\0\0\x05\x4d\0\x03\x34\x02\0\0\x03\x18\0\0\x04\xbf\0\0\
\x05\x4d\0\x03\xac\x02\0\0\x03\x98\0\0\x04\xbf\0\0\x05\x4d\0\x04\x1c\x02\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\
\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\x01\x64\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x01\xa8\0\0\0\0\0\0\x02\xa0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x04\x48\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\x15\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\x48\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\x01\x56\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x50\0\0\0\0\
\0\0\x08\xc4\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x01\x5b\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x11\x18\0\0\0\0\0\0\x01\x58\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct verifier_meta_access *verifier_meta_access::open(const struct bpf_object_open_opts *opts) { return verifier_meta_access__open_opts(opts); }
struct verifier_meta_access *verifier_meta_access::open_and_load() { return verifier_meta_access__open_and_load(); }
int verifier_meta_access::load(struct verifier_meta_access *skel) { return verifier_meta_access__load(skel); }
int verifier_meta_access::attach(struct verifier_meta_access *skel) { return verifier_meta_access__attach(skel); }
void verifier_meta_access::detach(struct verifier_meta_access *skel) { verifier_meta_access__detach(skel); }
void verifier_meta_access::destroy(struct verifier_meta_access *skel) { verifier_meta_access__destroy(skel); }
const void *verifier_meta_access::elf_bytes(size_t *sz) { return verifier_meta_access__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_meta_access__assert(struct verifier_meta_access *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_META_ACCESS_SKEL_H__ */
